Subject: [rbridge] Use of 802.1ah Encaps

From: sajassi at cisco.com (Ali Sajassi (sajassi))
Date: Thu, 7 Dec 2006 20:47:33 -0800

Gray,

With respect to plug-and-play operation, it is similar to 802.1Q or
802.1ad operation; where, at the UNI you decide which interfaces belong
to which VLANs in case of 802.1Q or which <interface, VLAN> pair belong
to S-tag in case of 802.1ad (e.g., point-to-cloud config model). In case
of 802.1ah, you also decide at the UNI which interfaces or which
<interface, vlan> pair belong to which <B-tag, I-SID> pair. Again the
model in 802.1ah is point-to-cloud model just like 802.1Q and 802.1ad
and that's what makes it plug-and-play.

-Ali  

> -----Original Message-----
> From: Gray, Eric [mailto:Eric.Gray at marconi.com] 
> Sent: Thursday, December 07, 2006 5:38 AM
> To: Don Fedyk; Joe Touch; Ali Sajassi (sajassi)
> Cc: Developing a hybrid router/bridge.
> Subject: RE: [rbridge] Use of 802.1ah Encaps
> 
> Don,
> 
> 	Thanks for doing this.  As you can probably attest, 
> this is a non-trivial "digging" task to come up with this 
> level of detail.  I am not sure why Joe asked for it, but now 
> that you have provided it, perhaps you can explain how values 
> would be derived for the B-TAG TCI/VID and I-TAG TCI/SID 
> fields if we'd like to deploy this technology in "plug-and-play" mode?
> 
> --
> Eric
> 
> > -----Original Message-----
> > From: Don Fedyk [mailto:dwfedyk at nortel.com]
> > Sent: Thursday, December 07, 2006 8:29 AM
> > To: Joe Touch; Ali Sajassi (sajassi)
> > Cc: Gray, Eric; Developing a hybrid router/bridge.
> > Subject: RE: [rbridge] Use of 802.1ah Encaps
> > 
> > Hi
> > 
> > This is the Provider Backbone Header Format reproduced from 
> one of the 
> > 802.1ah documents.  When I said this is similar to the Trill header 
> > this is the version I mentioned.  I converted to 
> textographics by hand 
> > so I hope I got it right. I put field designators in [] inside the 
> > picture for fear they would get wrapped. The encapsulated 
> frame starts 
> > after the I-TAG I-SID.
> > 
> >     
> >     |      1        |       2       |       3       |       4 
> >       |  
> >     
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >  -2 |                               |                       
>         |
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+                       
>         +
> >   2 |                Backbone Destination Address         
> [B-DA]    |
> >     
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >   6 |                Backbone Source Address              
> [B-SA]    |
> >     +                               
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >  10 |                               |   .1ad Ethertype    
> [B-TAG]   |
> >     
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >  14 |  .1ad B-TAG TCI/VID           |   .1ah Ethertype    [ 
>   ]     |
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-[ 
> I ]-+-+-+
> >  18 |               .1ah I-TAG TCI/SID                    [ 
> - ]     |
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-[ 
> T ]-+-+-+
> >  22 |                Customer Destination Address         [ 
> A ]     |
> >     +                               +-+-+-+-+-+-+-+-+-+-+-[ 
> G ]-+-+-+
> >  26 |                               |                     [ 
>   ]     |
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+                     [ 
>   ]     +
> >  30 |                Customer Source Address              [ 
>   ]     |
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-[ 
>   ]-+-+-+
> >  34 |  Encap Ethertype              |                     [   ]
> >     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> > 
> > 
> >                                 .1ah I-TAG TCI
> >     
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >     | P/DE  |R1 |R2 |                     I-SID             
>         |
> >     
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> > 
> >     P/DE 3 Bits Priority 1 bit Drop Eligible
> >     R1 Res1
> >     R2 Res2
> > 
> > a) priority - This 3 bit field carries the customer 
> priority (I-PCP) 
> > associated with this frame. The provider network operates on the 
> > priority associated with the B-TAG.
> > 
> > b) drop_eligible - This 1 bit field carries the customer drop 
> > eligibility
> > (I-DEI) associated with this frame. The provider network 
> operates on 
> > the drop eligibility associated with the B-TAG.
> > 
> > c) res1 - This 2 bit field is used for any future format 
> variations. 
> > The
> > res2
> > field is zero on transmit and is ignored on receipt. 
> > 
> > d) res2 - This 2 bit field is used for any future format 
> variations. 
> > The
> > res1
> > field is zero on transmit and if set on reception the frame is 
> > discarded.
> > 
> > e) I-SID - This 24 bit field carries the service instance 
> identifier 
> > associated with this frame.
> > 
> > f) encapsulated C-DA - This field carries the 48 bit 
> Destination MAC 
> > Address for an encapsulated Ethernet frame.
> > 
> > g) encapsulated C-SA - This field carries the 48 bit Source MAC 
> > Address for an encapsulated Ethernet frame.
> > 
> > Regards,
> > Don
> > 
> > 
> > > -----Original Message-----
> > > From: Joe Touch [mailto:touch at ISI.EDU]
> > > Sent: Wednesday, December 06, 2006 9:53 PM
> > > To: Ali Sajassi (sajassi)
> > > Cc: Fedyk, Don (BL60:1A00); Gray, Eric; Developing a hybrid 
> > > router/bridge.
> > > Subject: Re: [rbridge] Use of 802.1ah Encaps
> > > 
> > > I'd really rather someone just posted the header / fields, rather 
> > > than a large document in which that information is buried, if 
> > > possible ;-)
> > > 
> > > Joe
> > > 
> > > Ali Sajassi (sajassi) wrote:
> > > > 
> > > >> Can you - or anyone with easy access to the specs -
> > please post an
> > > >> explicit description of 802.1ah header and fields?
> > > > 
> > > > I will ask Tony (802.1 chair) to make avail to TRILL WG a
> > > copy of .1ah.
> > > > 
> > > > -Ali
> > > > 
> > > > 
> > > >> Thanks,
> > > >>
> > > >> Joe
> > > >>
> > > >>
> > > 
> > > --
> > > ----------------------------------------
> > > Joe Touch
> > > Sr. Network Engineer, USAF TSAT Space Segment
> > > 
> > > 
> > 
>